| FFmpegKit iOS / macOS / tvOS API 6.0

Loading...
Searching...
No Matches
Data Fields
InputFilter Struct Reference

`#include <fftools_ffmpeg.h>`

## Data Fields
AVFilterContext * | filter
struct InputStream * | ist
struct FilterGraph * | graph
uint8_t * | name
enum AVMediaType | type
AVFifo * | frame_queue
int | format
int | width
int | height
AVRational | sample_aspect_ratio
int | sample_rate
AVChannelLayout | ch_layout
AVBufferRef * | hw_frames_ctx
int32_t * | displaymatrix
int | eof

## Detailed Description

Definition at line 320 of file fftools_ffmpeg.h.

## Field Documentation

## ◆ ch_layout

AVChannelLayout InputFilter::ch_layout

Definition at line 336 of file fftools_ffmpeg.h.

## ◆ displaymatrix

int32_t* InputFilter::displaymatrix

Definition at line 339 of file fftools_ffmpeg.h.

## ◆ eof

int InputFilter::eof

Definition at line 341 of file fftools_ffmpeg.h.

## ◆ filter

AVFilterContext* InputFilter::filter

Definition at line 321 of file fftools_ffmpeg.h.

## ◆ format

int InputFilter::format

Definition at line 330 of file fftools_ffmpeg.h.

## ◆ frame_queue

AVFifo* InputFilter::frame_queue

Definition at line 327 of file fftools_ffmpeg.h.

## ◆ graph

struct FilterGraph* InputFilter::graph

Definition at line 323 of file fftools_ffmpeg.h.

## ◆ height

int InputFilter::height

Definition at line 332 of file fftools_ffmpeg.h.

## ◆ hw_frames_ctx

AVBufferRef* InputFilter::hw_frames_ctx

Definition at line 338 of file fftools_ffmpeg.h.

## ◆ ist

struct InputStream* InputFilter::ist

Definition at line 322 of file fftools_ffmpeg.h.

## ◆ name

uint8_t* InputFilter::name

Definition at line 324 of file fftools_ffmpeg.h.

## ◆ sample_aspect_ratio

AVRational InputFilter::sample_aspect_ratio

Definition at line 333 of file fftools_ffmpeg.h.

## ◆ sample_rate

int InputFilter::sample_rate

Definition at line 335 of file fftools_ffmpeg.h.

## ◆ type

enum AVMediaType InputFilter::type

Definition at line 325 of file fftools_ffmpeg.h.

## ◆ width

int InputFilter::width

Definition at line 332 of file fftools_ffmpeg.h.

The documentation for this struct was generated from the following file:

- fftools_ffmpeg.h